import { ElementAttrs, SVGElementTag } from "./types";
export default class ElementBuilder {
    private _elem;
    constructor(label: SVGElementTag);
    setAttrs(attrs: ElementAttrs): void;
    attr(name: string, val?: any): this | string;
    style(name: string, value: string): this;
    get element(): SVGElement;
    append(...elems: ElementBuilder[]): this;
    empty(): this;
    static create(label: SVGElementTag, attrs?: ElementAttrs): ElementBuilder;
}
