export type Point = [x: number, y: number];

export const pointOnCircle = (cx: number, cy: number, r: number, rad: number): Point => {
  return [
    cx + r * Math.cos(rad),
    cy + r * Math.sin(rad)
  ]
};